"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var httpClient_service_1 = require("./httpClient.service");
var app_config_1 = require("./config-service/app.config");
function httpServiceFactory(http, localStorageService, loaderService) {
    return new httpClient_service_1.HttpClient(http, localStorageService, loaderService);
}
exports.httpServiceFactory = httpServiceFactory;
function appConfigServiceFactory(http) {
    return new app_config_1.AppConfig(http);
}
exports.appConfigServiceFactory = appConfigServiceFactory;
//# sourceMappingURL=httpClient.factory.js.map