import { HttpClient } from './httpClient.service';
import { Http } from '@angular/http';
import { LocalStorageService } from 'angular-2-local-storage';
import { LoaderService} from './index';
import {AppConfig} from './config-service/app.config'

function httpServiceFactory(http: Http, localStorageService: LocalStorageService, loaderService: LoaderService) {
    return new HttpClient(http, localStorageService, loaderService);
}

export { httpServiceFactory };

function appConfigServiceFactory(http: Http) {
    return new AppConfig(http);
}

export { appConfigServiceFactory };